<template>
  <v-container class="background-container">
<v-row class="pa-2 d-flex justify-end">
 
  <LogoutButton @logout="handleLogout"  />
</v-row>
    
    
    <v-row class=" d-flex flex-rows align-center">
      <!-- this profile information -->
      <v-col class="ml-16 mb-16 pb-16">
        <v-row class="text-h1" style="font-size: 72px; ">Hi There,</v-row>
        <v-row>
          <h1 style="font-size: 64px; "> I'm <strong class="text-orange">{{ localName }}</strong> </h1>
        </v-row>
        <v-row>
          <h1 style="font-size: 38px;">call me <strong class="text-orange">Nueng</strong></h1>
        </v-row>
        <v-row>
          <h1 style="font-size: 38px; color: blue;">Front-end Developer</h1>
        </v-row>
        <v-row>
          <h4>College of Computing Khon Kaen University </h4>
        </v-row>
        <v-divider class="custom-divider mt-8 ml-n4"></v-divider>
        <v-row>
          <v-col class="pa-7">
            <div><strong class="ml-n6">My Skills</strong>
              <ul>
                <li v-for="(item, index) in itemSkill" :key="index">
                  {{ item }}
                </li>
              </ul>
            </div>
          </v-col>

          <v-col class="pa-7 ml-n16">
            <div><strong class="ml-n6">My Hobbies</strong>
              <ul>
                <li v-for="(item, index) in itemHobby" :key="index">
                  {{ item }}
                </li>
              </ul>
            </div>
          </v-col>
        </v-row>
        <v-row>
          <router-link :to="`/Khanjana/MyWorkshop`">
            <v-btn append-icon="mdi mdi-play" variant="text" >
              My workshop
              <template v-slot:append>
                <v-icon color="error" size="30"></v-icon>
              </template>
            </v-btn>
          </router-link></v-row>

      </v-col>

      <!-- this is profile image -->
      <v-col class=" d-flex justify-center ">
        <div class="image-sd image-box elevation-12 ">
          <img src="@/pages/Khanjana/nueng_08062001.png" class="profile-image">
        </div>

      </v-col>



    </v-row>


  </v-container>

  <v-footer class="footer text-center d-flex flex-column">
    <div class="d-flex flex-col  justify-space-between  ">
      <div class="d-flex align-center"><v-icon icon="mdi-email" size="30px"></v-icon>
        <p class="ml-2">khanjana.n@kkumail.com</p>
      </div>

      <a v-if="icons.includes('mdi-facebook')" href="https://www.facebook.com/profile.php?id=100007978217906"
        target="_blank" rel="noopener noreferrer">
        <v-btn class="mx-4" icon="mdi-facebook" variant="text"></v-btn>
      </a>
    </div>

    <div class="pt-0">
      By Khanjana Namuen Beginner of Vue.
    </div>

    <v-divider></v-divider>

    <div>
      {{ new Date().getFullYear() }} — <strong>Vuetify</strong>
    </div>
  </v-footer>
</template>
  
<script>
import LogoutButton from './appComponent/logout.vue';
   
definePageMeta({
    middleware: "auth-khan"
    
  })
export default {
   
  components: {
    LogoutButton
  },
  data: () => ({
    defaultName: 'Khanjana',
    localName: '',
    icons: [
      'mdi-facebook',
      'mdi-linkedin',
      'mdi-instagram',
    ],
    itemSkill: ['React', 'Vue', 'JavaScript', 'Html', 'Css'],
    itemHobby: ['play game', 'watch movie', 'reading', 'coding']
  }),
  mounted() {
    // Retrieve 'name' from local storage when the component is mounted
    this.localName = localStorage.getItem('editedFname') || this.defaultName;
  },
  methods: {
    // methods logout
    handleLogout() {
      localStorage.removeItem('username');
      localStorage.removeItem('accessToken');
      this.$router.push('./login'); 
    }
  }
}
</script>

<style scoped>
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  color: whitesmoke;
}

.background-container {
  background: linear-gradient(to bottom right, #151515, #4d4d4d);
  overflow: hidden;
}

.footer {
  background: linear-gradient(to bottom right, #151515, #383838);
  overflow: hidden;
}

.text-orange {
  color: rgb(255, 111, 0);
}

.image-box {
  border-radius: 5%;

}

.profile-image {
  width: 420px;
  height: 680px;
  border-radius: 5%;
  object-fit: cover;
  transform: rotateY(180deg);
}

.custom-divider {
  width: 80%;

}
</style>

